Bug 1157758 - Unable to rename ovirt-engine install if domain exists on host [NEEDINFO]
Summary: Unable to rename ovirt-engine install if domain exists on host
Keywords:
Status: CLOSED EOL
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Setup.Engine
Version: 3.4.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Yedidyah Bar David
QA Contact: Pavel Stehlik
URL:
Whiteboard: integration
Depends On:
Blocks: 1250556
TreeView+ depends on / blocked
 
Reported: 2014-10-27 15:50 UTC by Brian Sipos
Modified: 2015-10-01 08:33 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-01 08:31:59 UTC
oVirt Team: ---
sbonazzo: needinfo? (BSipos)
ylavi: ovirt-3.6.0?
ylavi: planning_ack?
ylavi: devel_ack?
ylavi: testing_ack?


Attachments (Terms of Use)

Description Brian Sipos 2014-10-27 15:50:38 UTC
Description of problem:
I attempted to migrate an ovirt-engine installation from a shared-service host to a specific-service host. The old host provided both NFS shares and the ovirt-engine daemons. I wanted to keep the file shares on old host and simply more the engine over to the new host. When I attempted to run
    /usr/share/ovirt-engine/setup/bin/ovirt-engine-rename --newname=new-host.example.com
I got an warning and then a critical error
    Cannot rename host hosting Storage Domains
The warning is okay, but the critical error (i.e. the program exits) prevents me from performing a legitimate and correct rename. The storage domain was (and still is) available on old-host.example.com but the engine alone is moving to new-host.example.com.


Version-Release number of selected component (if applicable):
This is on ovirt-engine 

How reproducible:
Consistently


Steps to Reproduce:
1. Define a valid storage domain on the same host as the engine.
2. Migrate engine config to a new host.
3. Attempt to rename engine on new host.
4. Observe command failure.

Actual results:
Rename command refuses to perform the rename and exits with error status.


Expected results:
A warning and confirmation prompt would be appropriate, to catch cases where the rename really would cause trouble. But there should be a way to acknowledge and rename anyway.


Additional info:

Comment 1 Sandro Bonazzola 2015-09-04 09:00:47 UTC
This is an automated message.
This Bugzilla report has been opened on a version which is not maintained anymore.
Please check if this bug is still relevant in oVirt 3.5.4.
If it's not relevant anymore, please close it (you may use EOL or CURRENT RELEASE resolution)
If it's an RFE please update the version to 4.0 if still relevant.

Comment 2 Sandro Bonazzola 2015-10-01 08:31:59 UTC
This is an automated message.
This Bugzilla report has been opened on a version which is not maintained anymore.
Please check if this bug is still relevant in oVirt 3.5.4 and reopen if still an issue.


Note You need to log in before you can comment on or make changes to this bug.